/*CSS for main navigation menu.*/
/*Padding format:  top,right,bottom,left*/

/*** Message styles ***/
.noshowmsg {
    display:none;
}
/*** End Message styles ***/


.row {
    margin-left:0px;
    margin-right:0px;
}

/*navbar start*/
.navbar-fixed-top {
    top: auto !important;
}

.navbar {
    margin-bottom:0px;
    background-color: #2f4050;
    border:0px;
    /*display:inline;*/
}

.navbar.container, .navbar.container-fluid {
    margin-top: 0px;
    background:transparent;
}


.navbar-right {
    /*margin-right:8px;*/
   /*margin-top:10px;*/
    /*width: 100%;
    float:right !important;
    width: 30%;*/
    /*margin: auto;*/
    margin-right: 8px;
    margin-top: 10px;
}

.mainnavright {
    margin-top:3px;
    float: right;
}

/*.navbarlink {
    color: #a7b1c2;
    font-weight: 600;
    padding: 14px 20px 14px 25px;
}

a.navbarlink {
    color: #a7b1c2;
    font-weight: 600;
    padding: 14px 20px 14px 25px;
    text-decoration: none;
}

a.navbarlink:hover {
    color: #fff;
    font-weight: 600;
    padding: 14px 20px 14px 25px;
    text-decoration: none;
}*/

.navbardropdowntxt {
    color: #fff;
    font-size: 14px;
    background: #000;
    padding: 8px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.navbardropdowntxtdn {
    font-weight:600;
    margin-top:8px;
}

.navbardropdowntxtde {
    margin-bottom:8px;
}

/*.navbarlinksu {
    color: #e7e7e7;
    font-weight: 600;
    padding: 14px 20px 14px 25px;
    text-decoration: none;
    border: 1px solid transparent;
    padding: 10px;
    border-radius: 5px;
    background: #F39C12;
}

a.navbarlinksu {
    color: #e7e7e7;
    font-weight: 600;
    padding: 14px 20px 14px 25px;
    text-decoration: none;
    border: 1px solid transparent;
    padding: 10px;
    border-radius: 5px;
    background: #F39C12;
}

a.navbarlinksu:hover {
    color: #fff;
    font-weight: 600;
    padding: 14px 20px 14px 25px;
    text-decoration: none;
    border: 1px solid;
    padding: 10px;
    border-radius: 5px;
    background: #F39C12;
}*/

.pull-left {
    margin-top: 7px;
    width:60% !important;
}

.pull-right {
    width:49% !important;
 }

.addnlks {
    padding-top: 10px;
    padding-right: 30px;
    display: inline-block;
}

a.addnlkslksbtn {
    padding:8px;
    color: #F39C12;
    border-radius: 2px;
    font-weight: bold;
    border: 1px solid #F39C12;
}

a.addnlkslksbtn:hover {
    padding:8px;
    /*background: linear-gradient(to bottom,#4687ce 0,#3068a2 100%);*/
    background:#F39C12;
    color:#fff;
    border-radius:.25em;
    font-weight: bold;
    text-decoration: none;
}

a.addnlkslks {
    color: rgba(255, 255, 255, 0.6);
    font-weight:600;
}

a.addnlkslks:hover {
    color: #fff;
    text-decoration:none;
    font-weight:600;
}






/*navbar end*/

a.navbar-brandlogo,
a.navbar-brandlogo:hover {
    /*margin-left:10px;
    margin-right:100px;*/
}

 a.navbar-brandlogo img {
    width:150px;
    margin-left: 5px;
    /*margin-top: -5px;*/
 }

.feat img {
    color:#777;
    max-width:30px;
    max-height:30px;
    margin-top:-17px;
}

.mpfeat {
    margin-left: 25px;
    margin-top: 1px;
    font-size: 14px;
    font-weight: 600; 
    font-family: 'Open Sans',sans-serif;
    /*color: #2399c6;*/ /*BLUE*/  
    color: #FFF; /*ORANGE*/
}


.btn-create {
     background: #2399c6;
        color: #fff;
        font-weight: 700;
        margin-top: -10px;
 }

.usname {
            text-align: center;
            display: inline-block;
            padding-top: 15px;
            font-size:12px;
            text-transform: capitalize;
            /*margin-right: 50px;*/
            color: #fff;
         }
.usnameone {
            text-align: center;
            display: inline-block;
            font-size:16px;
            text-transform: capitalize;
            /*margin-right: 50px;*/
            color: #fff;
         }

.caret {
    margin-right: 50px;
}

/************************************************/
/*** User Profile Image in Top Right of Menu ***/
/**********************************************/
/*landscape*/
.lmmpp {
   /*float: right;
   margin-left: -20px;
   position: relative;
   box-shadow: 5px 5px 5px #e7e7e7;*/
   display: inline-block;
   width: 35px;
   height: 35px;
   overflow: hidden;
   border-radius: 50%; 
   /*margin-top:7px;*/
}

.lmmpp img {
    width: auto;
    height: 100%;
}

/*Portrait*/
.primarysidenav .pmmpp,
.navbar-right .pmmpp {
  /*box-shadow: 5px 5px 5px #e7e7e7;
  position: relative;
  margin-left: -20px;*/
  
  float: left;
  width: 35px;
  height: 35px;
  overflow: hidden;
  border-radius: 50%;
  /*margin-top:7px;*/
  
}

.primarysidenav .pmmpp img,
.navbar-right .pmmpp img {
  width: 100%;
  height: auto;
}

/*Square*/
.smmpp img {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  background: #e7e7e7;
  padding: 3px;
  /*margin-top:7px;*/
}

/*default glpyhicon due to no image uploaded*/
.gmmpp {
    font-size:30px;
    color:#fff;
}
.gmmpp a,
.gmmpp a:hover {
    font-size:30px;
    color:#fff;
    text-decoration: none;
}

/*** Search - FILTER ***/

.gsearch {
    /*width: 300px;*/
    height: 25px;
    /*background: #fff;*/
    color: #999;
    border-radius: 4px;
    display:inline-block;
 }
    
.gsearchfield {
    padding: 5px;
    margin-left: 10px;
    margin-top: 2px;
}

.sidefiltr {
  height: 100%;
  width: 0;
  position: fixed;
  margin-top:50px;
  z-index: 10;
  top: 0;
  right: 0;
  background-color: #FFF !important;
  overflow-x: hidden;
  transition: 0.5s;
  /*padding-top: 60px;*/
  border-left:1px solid #e7e7e7;
  background: #efefef;
  -webkit-box-shadow: -3px 0px 5px 0px rgba(0,0,0,0.2);
  box-shadow: -3px 0px 5px 0px rgba(0,0,0,0.2);
}

.allnotifs {
  height: 95%;
  width: 0;
  position: fixed;
  margin-top:50px;
  z-index: 10;
  top: 0;
  right: 0;
  background-color: #FFF !important;
  overflow-x: hidden;
  transition: 0.5s;
  /*padding-top: 60px;*/
  border-left:1px solid #e7e7e7;
  background: #efefef;
  -webkit-box-shadow: -3px 0px 5px 0px rgba(0,0,0,0.2);
  box-shadow: -3px 0px 5px 0px rgba(0,0,0,0.2);
}

a.notifmsg {
    color:#000;
    font-weight:600;
}

a.notifstsur {
    color:red;
}

a.notifstsr {
    color:#e7e7e7;
}

a.notifdate {
    color: #337ab7;
    font-size: 12px;
    font-weight: 600;
}

/*.sidefiltr a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidefiltr a:hover {
  color: #f1f1f1;
}*/

.sidefiltr .closebtn {
  position: absolute;
  font-size: 20px;
  color: #000;
  margin-top:-3px;
}

.allnotifs .closebtn {
  position: absolute;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
  color: #818181;
}

.notifsheadertitle {
    text-align: center;
    font-weight: 600;
    font-size: 16px;
}

.allnotifs .notifmsg {
    
}

.dropbtn {
  background-color: transparent;
  color: white;
  padding: 16px;
  font-size: 20px;
  border: none;
  cursor: pointer;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  right: 0;
  background-color: #f9f9f9;
  min-width: 300px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 10;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {background-color: #f1f1f1;}
.dropdown:hover .dropdown-content {display: block;}
.dropdown:hover .dropbtn {background-color: transparent;}

.mmicntxt {
    display: inline-block;
    font-size: 16px;
    color: #fff;
    margin-top: -4px;
    font-weight: 600;
}

.mmicntxt a,
.mmicntxt a:hover {
    color: #e7e7e7 !important;
    font-weight: 600;
}

.mmicnicn {
    display: inline-block;
    color: #fff;
}


.mmicndsh {
    display: inline-block;
    color: #d0d0d0;
    font-size: 20px;
    opacity: 20%;
}

.mmbtn a.navbarlink,
.mmbtn a.navbarlink:hover {
    margin: 8px;
    color: #fff;
    font-weight: 600;
}

.mmbtn a.navbarlinksu,
.mmbtn a.navbarlinksu:hover {
    padding-top: 8px;
    border: 1.5px solid #F39C12;
    border-radius: 4px;
    color: #F39C12;
    font-weight: 600;
    padding-bottom: 8px;
    padding-left: 20px;
    padding-right: 20px;
}



  /*input[type="radio"] {
    display: none;
    &:checked {
      + .box {
        border: 1px solid #F39C12;
        background:  #ffe6bf;
        border-radius:4px;
        span {
          color: white;
          transform: translateY(70px);
          &:before {
            transform: translateY(0px);
            opacity: 1;
          }
        }
      }
    }
  }*/
  /*.box {
    width: 200px;
    height: 275px;
    background-color: #fff;
    transition: all 250ms ease;
    will-change: transition;
    display: inline-block;
    text-align: center;
    cursor: pointer;
    position: relative;
    font-weight: 900;
    font-size:16px;
    border: 1px solid #e7e7e7;
    border-radius:4px;
    &:active {
      transform: translateY(10px);
    }
    span {
      position: absolute;
      transform: translate(0, 60px);
      left: 0;
      right: 0;
      transition: all 300ms ease;
      font-size: 1.5em;
      user-select: none;
      color: #007e90;
      &:before {
        font-size: 1.2em;
        font-family: FontAwesome;
        display: block;
        transform: translateY(-80px);
        opacity: 0;
        transition: all 300ms ease-in-out;
        font-weight: normal;
        color: white;
      }
    }
  }*/
  /*.front-end {
    span {
      &:before {
        content: "\f121";
      }
    }
  }
  .back-end {
    span {
      &:before {
        content: "\f0f4";
      }
    }
  }*/
}



/******************************************************/
/****************MOBILE DESIGN************************/
/******************************************************/
@media (max-width: 1099px) {
    
    a.navbar-brandlogo img {
       margin-left: 0px;
       width:150px;
    }
}

@media (max-width: 992px) {
    
    a.navbar-brandlogo img {
       margin-left: 0px;
       width: 150px;
    }
}

@media (max-width: 999px) {
    
    #block-jbframework-mainnav-unauth .pull-left {
        margin-top: 7px;
        width:40% !important;
    }

    #block-jbframework-mainnav-unauth .navbar-right {
        margin-right: 20px;
        margin-top: 10px;
        width: 50%;
        text-align: right;
      }
    }
}

@media (min-width: 901px) {

    .navbar-right {
        margin-right: 8px;
        margin-top: 10px;
        width: 30%;
        text-align: right;
      }

}

@media (max-width: 879px) {
    .gsearch {
        /*width: 200px;
        height: 30px;*/
        background: #fff;
        color: #999;
        border-radius: 4px;
    }
}



@media (min-width: 825px) {

    .sdfltrbx {
        margin-left: 5px;
        display: inline-block;
    }

}

@media (max-width: 824px) {
    
    .pull-left {
        margin-top: 7px;
        width: 70% !important;
      }

}




@media (max-width: 769px) {

    a.navbarlinkmbl {
        font-weight: 600;
        font-size: 14px;
        color: #a7b1c2;
        text-decoration: none;
        float:right;
        margin-top:5px;
    }
    
    a.navbarlinkmbl:hover {
        font-weight: 600;
        font-size: 14px;
        text-decoration:none;
        color: #fff;
        float:right;
    }
    
    a.navbarlinkmblsu {
        color: #e7e7e7;
        font-weight: 600;
        padding: 14px 20px 14px 25px;
        text-decoration: none;
        border: 1px solid transparent;
        padding: 5px;
        border-radius: 5px;
        background: #F39C12;
        float:right;
        margin-top:7px;
    }
    
    a.navbarlinkmblsu:hover {
        font-size: 14px;
        font-weight: 600;
        padding: 14px 20px 14px 25px;
        text-decoration: none;
        border: 1px solid transparent;
        padding: 5px;
        border-radius: 5px;
        background: #F39C12;
        color: #fff;
        float:right;
    }
    
    .pull-right {
        margin:auto;
    }
}


@media (max-width: 768px) {
    
    /*.navbar-nav {
        margin: 7.5px -15px;
    }*/

    .addnlkslksbtnmbl {
        color: #fff;
        font-size: 20px;
    }
    
    a.addnlkslksbtnmbl:hover {
        color: #F39C12;
        font-size: 20px;
    }
    
    .addnlkslksmbl {
        color: rgba(255, 255, 255, 0.6);
        font-weight:600;
        font-size: 20px;
        display:inline-block;
    }

    a.addnlkslksmbl {
        color: rgba(255, 255, 255, 0.6);
        font-weight:600;
        font-size: 20px;
        display:inline-block;
    }

    a.addnlkslksmbl:hover {
        color: #fff;
        text-decoration:none;
        font-weight:600;
        font-size: 20px;
    }
    
}

@media (min-width: 768px) {
    
    .gsearchlksmbl {
        display:none;
    }
    
    .mainnavrightmobl {
        display:none;
    }
    
    .moblrghtmnu {
        display:none;
    }
    
    /*** Search ***/
    .sdfltrbxmbl {
        display:none;
    }
    
    .sdfltrbx {
        margin-left:5px;
        display:inline-block;
    }

    .sdfltrbx .form-group {
        margin-bottom: 0px;
    }
    
    .sdfltrbx .bef-exposed-form .form--inline .form-item {
        float: none;
     }

    .sdfltfld {
        display: inline-block;
        margin-top: -5px;
    }

    .sdfltfldicn {
        display: inline-block;
        position: absolute;
        font-size: 20px;
        background: #fff;
        margin-left: -1px;
        height: 34px;
        width: 30px;
        border-top-right-radius: 80px 80px;
        border-bottom-right-radius: 80px 80px;
        border-bottom: 1px solid #ccc;
        border-top: 1px solid #ccc;
        margin-top: -5px;
    }

    .sdfltfldicn .glyphicon-search {
        margin-top: 5px;
    }
    
    .navbar-fixed-top .view-searchall .form-text.form-control,
    .primarysidenav .view-searchall .form-text.form-control,
    .navbar-right .view-searchall .form-text.form-control {
        /*width:105%;
        border-radius: 50px;
        background: #e7e7e7;*/
        border-top-left-radius: 80px 80px;
        border-bottom-left-radius: 80px 80px; 
        -moz-box-shadow: none;
        -webkit-box-shadow: none;
        box-shadow: none;
         border: 1px solid #d0d0d0;
    }
    
    .view-searchall input.middle:focus {
        outline-width: 0;
    }
    
    .sidenavbarcreatebtn {
        display: inline-block;
        margin-top: -8px;
        margin-right: 15px;
        background: #F39C12;
        color: #fff;
        padding: 8px 15px;
        text-align: center;
        border-radius: 4px;
        font-weight: 600;
        cursor: pointer;
    }

    a.sidenavbarcreatebtn,
    a.sidenavbarcreatebtn:hover,
    a.sidenavbarcreatebtn:active {
        display: inline-block;
        margin-top: -8px;
        margin-right: 15px;
        background: #F39C12;
        color: #fff;
        padding: 8px 15px;
        text-align: center;
        border-radius: 4px;
        font-weight: 600;
        cursor: pointer;
    }
    
    .sidenavbarcreatebtnmbl {
        display:none;
    }
    
    .sidenavbarnotif {
        display: inline-block;
        text-align: center;
        /*vertical-align: top;*/
        vertical-align: middle;
        color:#fff;
        font-size:24px;
        pointer:cursor;
    }
    
    .sidenavbarnotif a,
    .sidenavbarnotif a:hover {
        color:#fff;
        font-size:24px;
        pointer:cursor;
    }
    
    .sidenavbarnotifttl {
        display: inline-block;
        position: relative;
        color: #fff;
        margin-left: -13px;
        background: red;
        height: 20px;
        width: 20px;
        text-align: center;
        border-radius: 50%;
        font-size: 12px;
        font-weight: 600;
        -moz-border-radius: 50%;
        -webkit-border-radius: 50%;
        line-height: 21px;
        margin-top: -20px;
        vertical-align: middle;
        pointer:cursor;
     }
     
     .nonotificn {
        text-align: center;
        font-size: 50px;
     }
     
     .nonotiftxt {
        text-align: center;
        font-size: 20px;
     }
    
}

@media (max-width: 767px) {
    
    a.navbar-brandlogo img {
        width: 150px;
        margin-left: 0px;
        /*margin-top: -3px;*/
      }
    
    .pull-left {
        margin-top: 7px;
        width:50% !important;
    }
    
    .navbar-right {
        margin-right: 5px !important;
        margin-top: 10px !important;
        width:auto;
    }
    
    .mainnavrightmobl .glyphicon-menu-hamburger {
        background:transparent;
        border:0px solid;
        font-size:16px;
        color:#fff;
        float:right;
        margin-top: 5px;
    }
    
    .mmbtn {
        /*padding: 14px 0px 14px 25px;*/
        margin-top: 5px;
    }
    
    /*.mainnavright {
        display:none;
    }*/
    
    .navbar .col-sm-6 {
        margin-top: 0px;
    }
    
    .gsearch {
        display:none;
    }
    
    .sdfltrbx {
        display:none;
    }
    
    .sdfltrbxmbl {
        /*margin-right:10px;*/
        display:inline-block;
        font-size: 20px;
    }

    .sdfltrbxmbl .form-group {
        margin-bottom: 0px;
    }
    
    .sdfltrbxmbl .bef-exposed-form .form--inline .form-item {
        float: none;
     }
     
     .sdfltfldicn {
        font-size: 20px;
        color: #fff;
        vertical-align: middle;
        display: inline-block;
    }
    
    .mblsrchfltr {
        margin-left:5px;
        /*display:inline-block;
        width:90%;
        text-align: center;*/
    }

    .mblsrchfltr .form-group {
        margin-bottom: 0px;
    }
    
    .mblsrchfltr .bef-exposed-form .form--inline .form-item {
        float: none;
     }
     
     


    

    .mblsdfltfldicn .glyphicon-search {
        margin-top: 5px;
    }
    
    .mblsrchfltr .view-searchall .form-text.form-control,
    .mblsrchfltr .view-advancedfilter .form-text.form-control {
        /*width:105%;
        border-radius: 50px;
        background: #e7e7e7;
        border-top-left-radius: 80px 80px;
        border-bottom-left-radius: 80px 80px;*/ 
        -moz-box-shadow: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        border: 1px solid #d0d0d0;
    }
    
    .sidenavbarcreatebtn {
        display:none;
    }
    
    
    .sidenavbarcreatebtnmbl {
        display:inline-block;
    }

    a.sidenavbarcreatebtnmbl {
        display:inline-block;
    }
    
    a.sidenavbarcreatebtnmbl,
    a.sidenavbarcreatebtnmbl:hover {
        color: #fff;
        font-weight: 600;
        font-size: 20px;
    }
    
    .gsearchlksmbl {
        color: #fff !important;
        font-size: 20px !important;
        display:inline-block;
        margin-right:15px;
    }
    
    .sidenavbarnotif {
        display: inline-block;
        text-align: center;
        vertical-align: middle;
        color:#fff;
        font-size:20px;
        pointer:cursor;
    }
    
    .sidenavbarnotifttl {
        display: inline-block;
        position: relative;
        color: #fff;
        margin-left: -13px;
        background: red;
        height: 18px;
        width: 18px;
        text-align: center;
        border-radius: 50%;
        font-weight: 600;
        font-size:12px;
        -moz-border-radius: 50%;
        -webkit-border-radius: 50%;
        line-height: 18px;
        margin-top: -18px;
        vertical-align: middle;
        pointer:cursor;
     }
     
     .nonotificn {
        text-align: center;
        font-size: 50px;
     }
     
     .nonotiftxt {
        text-align: center;
        font-size: 20px;
     }
    
    .dropbtn {
        background-color: transparent;
        color: white;
        padding: 0px;
        font-size: 20px;
        border: none;
        cursor: pointer;
      }
      
    
    
    .dsktoprghtmnu {
        display:none;
    }
    
    .navbar-right {
        margin-right:10px;
        float:right;
        margin-top: 15px;
    }

    .createbtnsbdy {
        text-align: center;
        margin: auto;
        width: 200%;
    }

    .createbtnmodal a .front-end.box {
        margin-bottom:10px;
    }
    
}

@media (max-width: 599px) { /* *** This is for the logo on devices SMALLER than 500px *** */
    
    
    a.navbar-brandlogo img {
        /*width:80%;*/
        width:125px;
    }
    

}

@media (min-width: 501px) { /* *** This is for the logo on devices LARGER than 501px *** */
    
   

}

@media (max-width: 500px) { /* *** This is for the logo on devices SMALLER than 500px *** */
    
    
    .myprofpaybtn {
        display:none;
    }
    
    a.navbar-brandlogo img {
       width:125px;
       margin-top:0px;
    }

}

@media (max-width: 449px) {
    
    a.navbar-brandlogo img {
        width: 125px;
        margin-left: 0px;
        /*margin-top: -3px;*/
      }
    
}




@media (max-width: 399px) {

    a.navbar-brandlogo img {
        width: 125px;
        margin-left: 0px;
        margin-top: 3px;
      }
 
}